// ---------------------------------------------------------------------------------------------------------------------
// Monitor Context
// ---------------------------------------------------------------------------------------------------------------------

import { Context } from '@strata-js/strata';

// Managers
import messagesManager from '../managers/messages.js';

// Models
import { LogMessageRequest } from '../models/requests.js';

// ---------------------------------------------------------------------------------------------------------------------

// Declare context
const context = new Context();

// ---------------------------------------------------------------------------------------------------------------------
// Operations
// ---------------------------------------------------------------------------------------------------------------------

context.registerOperation('logMessage', async({ payload } : { payload : LogMessageRequest }) =>
{
    return messagesManager.handleMessage(payload.queue, payload.envelope);
});

// ---------------------------------------------------------------------------------------------------------------------

export default context;

// ---------------------------------------------------------------------------------------------------------------------
